-- ================================================
-- ALICE Pack Mod
-- ================================================

require"Items/SuburbsDistributions";

ALICE = {}
ALICE.version = "1.0.0";
ALICE.author = "begginfokillz";
ALICE.modName = "ALICE Pack Mod";

-- ------------------------------------------------
-- Functions
-- ------------------------------------------------
---
-- Prints out the mod info on startup.
function ALICE.init()
print("Mod Loaded: " .. ALICE.modName .. " by " .. ALICE.author .. " (v" .. ALICE.version ..")");
end


-- ------------------------------------------------
-- Item distribution
-- ------------------------------------------------
-- ALICE
table.insert(SuburbsDistributions["all"]["counter"].items, "ALICE.ALICEFRAME");
table.insert(SuburbsDistributions["all"]["counter"].items, 2);
table.insert(SuburbsDistributions["all"]["metal_shelves"].items, "ALICE.MALICEWITHFRAME");
table.insert(SuburbsDistributions["all"]["metal_shelves"].items, 2);
table.insert(SuburbsDistributions["all"]["crate"].items, "ALICE.MALICEWITHFRAME");
table.insert(SuburbsDistributions["all"]["crate"].items, 2);
table.insert(SuburbsDistributions["all"]["crate"].items, "ALICE.MALICEWITHOUTFRAME");
table.insert(SuburbsDistributions["all"]["crate"].items, 2);
table.insert(SuburbsDistributions["conveniencestore"]["shelves"].items, "ALICE.MALICEWITHOUTFRAME");
table.insert(SuburbsDistributions["conveniencestore"]["shelves"].items, 2);
table.insert(SuburbsDistributions["fossoil"]["crate"].items, "ALICE.MALICEWITHOUTFRAME");
table.insert(SuburbsDistributions["fossoil"]["crate"].items, 2);
table.insert(SuburbsDistributions["fossoil"]["crate"].items, "ALICE.MALICEWITHOUTFRAME");
table.insert(SuburbsDistributions["fossoil"]["crate"].items, 2);
table.insert(SuburbsDistributions["all"]["metal_shelves"].items, "ALICE.MALICEWITHOUTFRAME");
table.insert(SuburbsDistributions["all"]["metal_shelves"].items, 2);
table.insert(SuburbsDistributions["all"]["metal_shelves"].items, "ALICE.MALICEWITHFRAME");
table.insert(SuburbsDistributions["all"]["metal_shelves"].items, 2);
table.insert(SuburbsDistributions["all"]["metal_shelves"].items, "ALICE.LALICEWITHFRAME");
table.insert(SuburbsDistributions["all"]["metal_shelves"].items, 2);
table.insert(SuburbsDistributions["motelbedroom"]["wardrobe"].items, "ALICE.MALICEWITHOUTFRAME");
table.insert(SuburbsDistributions["motelbedroom"]["wardrobe"].items, 2);
table.insert(SuburbsDistributions["motelbedroom"]["wardrobe"].items, "ALICE.ALICEFRAME");
table.insert(SuburbsDistributions["motelbedroom"]["wardrobe"].items, 2);
table.insert(SuburbsDistributions["policestorage"]["metal_shelves"].items, "ALICE.MALICEWITHOUTFRAME");
table.insert(SuburbsDistributions["policestorage"]["metal_shelves"].items, 2);
table.insert(SuburbsDistributions["policestorage"]["metal_shelves"].items, "ALICE.MALICEFRAME");
table.insert(SuburbsDistributions["policestorage"]["metal_shelves"].items, 2);
table.insert(SuburbsDistributions["policestorage"]["metal_shelves"].items, "ALICE.LALICEWITHOUTFRAME");
table.insert(SuburbsDistributions["policestorage"]["metal_shelves"].items, 2);
table.insert(SuburbsDistributions["policestorage"]["metal_shelves"].items, "ALICE.ALICEFRAME");
table.insert(SuburbsDistributions["policestorage"]["metal_shelves"].items, 2);
table.insert(SuburbsDistributions["gunstore"]["locker"].items, "ALICE.LALICEWITHFRAME");
table.insert(SuburbsDistributions["gunstore"]["locker"].items, 2);
table.insert(SuburbsDistributions["gunstore"]["locker"].items, "ALICE.ALICEFRAME");
table.insert(SuburbsDistributions["gunstore"]["locker"].items, 2);
table.insert(SuburbsDistributions["gunstore"]["locker"].items, "ALICE.MALICEWITHOUTFRAME");
table.insert(SuburbsDistributions["gunstore"]["locker"].items, 2);
-- ------------------------------------------------
-- Game hooks
-- ------------------------------------------------
Events.OnGameBoot.Add(ALICE.init);
Events.OnGameBoot.Add(ALICE.loadTextures);
print("ALICE: SuburbsDistributions added. ");